| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# refsection

$Revision: 1.3 $

$Date: 2002/06/11 01:20:12 $

refsection — A recursive section in a `refentry`

## Synopsis

### Content Model

    refsection ::=
    (refsectioninfo?,
     (title,subtitle?,titleabbrev?),
     (((calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
        simplelist|variablelist|caution|important|note|tip|warning|
        literallayout|programlisting|programlistingco|screen|screenco|
        screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
        fieldsynopsis|constructorsynopsis|destructorsynopsis|
        methodsynopsis|formalpara|para|simpara|address|blockquote|
        graphic|graphicco|mediaobject|mediaobjectco|informalequation|
        informalexample|informalfigure|informaltable|equation|example|
        figure|table|msgset|procedure|sidebar|qandaset|productionset|
        constraintdef|anchor|bridgehead|remark|highlights|abstract|
        authorblurb|epigraph|indexterm|beginpage)+,
       refsection*)|
      refsection+))

### Attributes

Common attributes

Name | Type | Default
status | CDATA | None

## Description

Reference pages have their own hierarchical structure. A `RefSection` is a recursive division in a `RefEntry`, analagous to a `Section` elsewhere in the document.

The value of a separate hierarchical structure is that it allows the content model of sections in reference pages to be customized differently than the content model of sections outside.

### Processing expectations

Formatted as a displayed block.

### Parents

These elements contain refsection: `refentry`, `refsection`.

### Children

The following elements occur in refsection: `abstract`, `address`, `anchor`, `authorblurb`, `beginpage`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constraintdef`, `constructorsynopsis`, `destructorsynopsis`, `epigraph`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `msgset`, `note`, `orderedlist`, `para`, `procedure`, `productionset`, `programlisting`, `programlistingco`, `qandaset`, `refsection`, `refsectioninfo`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `subtitle`, `synopsis`, `table`, `tip`, `title`, `titleabbrev`, `variablelist`, `warning`.

## Attributes

status

  `Status` identifies the editorial or publication status of the `RefSection`.

  Publication status might be used to control formatting (for example, printing a “draft” watermark on drafts) or processing (perhaps a document with a status of “final” should not include any components that are not final).

## See Also

`refnamediv`, `refsect1`, `refsect2`, `refsect3`, `refsynopsisdiv`.

refsect3info |  | refsectioninfo

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.